/*
 * $Id: http.h 11241 2007-06-18 22:21:50Z brad $
 */

#ifndef __HTTP_P_H__
#define __HTTP_P_H__

#define MHTTP_MAJOR 1
#define MHTTP_MINOR 1
#define MHTTP_RELEASE 0

struct M_http_header_s {
	char *name;
	char *value;
};
typedef struct M_http_header_s *M_http_header_t;

struct M_http_s {
	int version;		/* HTTP version */

	int   hosttype;		/* POST/GET/CONNECT */
	char *path;
	char *host;
	unsigned short port;	/* 0 if not used */

	int   code;		/* return code */
	char *code_msg;		/* return code message */

	M_http_header_t *headers;
	int   num_headers;

	char *content;
	int   content_len;

	int   header_len;

	int   complete;
};
typedef struct M_http_s *M_http_t;

#define	M_HTTP_T_DEFINED

#endif /* _HTTP_H_ */
