#include "libmonetra_main.h"

static M_int64 pow64(int num, int pow)
{
	M_int64 ret=1;
	int i;
	if (pow == 0) return(ret);
	for (i=0; i<pow; i++) {
		ret*=(M_int64)num;
	}
	return(ret);
}

M_int64 M_atoint64(const char *string)
{
	int len, i;
	M_int64 ret=0;
	int exp=0;

	if (string == NULL) return(0L);
	len=strlen(string);
	for (i=len-1; i>=0; i--) {
		if (string[i] == '-') {
			ret*=-1;
			break;
		} else if (!M_isdigit(string[i])) {
			break;
		}
		ret+=(M_int64)((M_int64)(string[i]-48))*((M_int64)pow64(10, exp));
		exp++;
	}
	return(ret);
}


